Do I have to have an iPhone to be able to download the OneLink App?

The Onelink App requires an iPhone, iPad, or iPod touch with iOS 10 or later or Android with 5 or later.